www.cendio.com
Bug 2835 - rdesktop doesn't terminate if a WTS crashes/disappears
: rdesktop doesn't terminate if a WTS crashes/disappears
Status: CLOSED FIXED
: ThinLinc
rdesktop
: trunk
: Other Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-07-02 13:29 by
Modified: 2014-05-05 10:18 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2008-07-02 13:29:18
When logged into a ThinLinc session which is tunneling RDP from a WTS,
everything works fine until the Windows machine disappears unexpectedly (such
as through a crash or a power failure), at which point the ThinLinc desktop
just stops responding, but is still present and shows the last screen update
before the crash.

A quick look at the server shows that rdesktop is still running.
------- Comment #1 From cendio 2014-02-07 16:45:53 -------
Many things have changed since this report, I have verified that the new
reconnect behavior works and then terminates.
------- Comment #2 From cendio 2014-02-07 16:56:56 -------
Related problems fixed in vendor drop 28387.
------- Comment #3 From cendio 2014-05-05 10:18:15 -------
Works, tested against 2003 R2 but turning it off. Noticed that rdesktop was
stuck in sendto() for several minutes, but then this was printed in the
console:

ERROR: send: Ingen väg till värd
ERROR: Connection closed
Disconnected due to network error, retrying to reconnect for 70 minutes.
Failed to negotiate protocol, retrying with plain RDP.
WARNING: Automatic reconnect using cookie, failed.

Also tested disconnected the VMware interface of the 2003 R2 machine. It took
about 10 minutes until rdesktop detected that the machine was down. 

Good enough for now.